/* Sample using iinterfacelib.h to control the intelligent interface under Linux */
/* 2004 by Erik Andresen - erik@defiant.homedns.org */

#include "iinterfacelib.h"
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main()
{	
	int i;
	
	IInterfaceDef *myInterface = NULL;
	/* Initiate the device - freebsd is something like /dev/cuaaX */
	IIinit(&myInterface, "/dev/ttyS0", 2);
	
	/* sleep(2); */
	
	printf("Forward\n");
	SetMotor(&myInterface, 4, 'r');
	while(1) {
		printf("X: %d\n", myInterface->AnaX);
		sleep(2);
	}
	
	sleep(2);
	
	for (i=1; i<=8; i++)
		printf("%d: %d\n", i, myInterface->Digital[i]);
		
	printf("Stop\n");
	SetMotor(&myInterface, 4, 's');
	
	sleep(2);
	
	printf("Back\n");
	SetMotor(&myInterface, 4, 'r');
	
	sleep(2);
	
	/* ...any bye */
	IIexit(&myInterface);
	return 0;
}
